---
title: "Get all user's information."
slug: "get-all-user-s-information"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all user's information.

Get/v1/users

Get user's information with status.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parametersall_searchstring

Search on name or email.

limitinteger

Maximum numbers of users to return.

offsetinteger

Number of users to skip from start.

sort_bystring

Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC

Responses200

Search result for user's objects.

<select class='api-response-data' aria-label='Media type'><option value='db16ad0d-2f9d-442b-be26-50c400d37885'>application/json</option>
</select>Expand Allobject  metadataobject (SearchMetadata)  pageinteger    

Current page number

pagesinteger    

Total pages as per the item counts and page limit.

limitinteger    

Number of items to limit in a page.

total_countinteger    

Total number of unfiltered items.

filtered_countinteger    

Total number of items as per the current filter.

items Array of object (User)   object  user_idstring  (uuid)    

User Id.

first_namestring    

First Name.

last_namestring    

Last Name.

user_emailstring    

User Email.

last_logged_in_atinteger  (int64)    

Last login time of user.

created_atinteger  (int64)    

Creation time of user.

email_verifiedboolean    

Whether this user's email has been verified.

statusstring    

Status of a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
roles Array of string (AccessRoles)   string    

Roles of a user.

Valid values[
  "READER",
  "WRITER",
  "MANAGER"
]
user_account_statusstring    

Status of an Account for a user.

Valid values[
  "ACTIVE",
  "PENDING",
  "DISABLED"
]
accepted_latest_terms_and_conditionsboolean    

Whether this user has accepted latest terms and conditions or not.

new_emailstring    

User’s new email address before it has been confirmed.
